package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponChannelStatus {

    // 0-草稿/待生效;1-已生效/已发布/已投放;2-已下架;

    STATUS_THROW_IN(0, "已上架"),
    STATUS_TAKE_OFFF(1, "已下架"),
    ;

    public static EnumCouponChannelStatus getEnum(Integer code) {
        for (EnumCouponChannelStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponChannelStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
